Subject: Re: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Feb 2020 23:52:09 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 28 Feb 2020 22:22:15 +0100
> 
> One other thing: the #x24C2 is not composed with the following #xFE0F
> when itʼs displayed using Google Noto Sans. If I get it to display
> with Noto Color Emoji it *is* composed, even though I haven't set up
> any composition-function-table entries for it. Where is that
> composition coming from?

Emacs can only compose characters if the font supports all of the
codepoints that are being composed.  So you need to choose a font that
supports these compositions.